bgAdjust {lumi} | R Documentation

## Background adjustment for Illumina data

### Description

The method adjusts the data by subtracting an offset, which is estimated based on the quantile of the control probes

### Usage

    bgAdjust(lumiBatch, probs = 0.5, ...)

### Arguments

`lumiBatch` | A LumiBatch object with controlData slot include control probe information
`probs` | The quantile used to estimate the background
`...` | other parameters used by `quantile` method

### Details

The method adjusts the data by subtracting an offset, which is estimated based on the quantile of the control probes. The control probe information is kept in the controlData slot of the LumiBatch object. If no control data information, the method will do nothing.

### Value

It returns a LumiBatch object with background adjusted.

### Author(s)

Pan Du

### See Also

`lumiB`

### Examples

            data(example.lumi)
            ## Here will assume the minimum of the control probe as the background,
            ##    because there is no negative control (blank beads) information for the Barnes data.
            example.lumi.b <- bgAdjust(example.lumi, probs=0)

[Package lumi version 1.10.2 Index]